Bug 1022453 - nothing happened after run "pm-suspend" [NEEDINFO]
nothing happened after run "pm-suspend"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 06:17 EDT by lnie
Modified: 2014-03-17 14:41 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:41:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description lnie 2013-10-23 06:17:20 EDT
Description of problem:

run "pm-suspend",nothing happened,
to figure out the result,I run "echo &?"and get 1
which means the system failed to do pm-suspend

Version-Release number of selected component (if applicable):
f20 Beta TC5

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:

 
Expected results:


Additional info:
Comment 1 Mohamed El Morabity 2013-10-23 06:20:36 EDT
What is the link between gnome-shell-extensions and this issue?
Comment 2 lnie 2013-10-23 23:18:18 EDT
(In reply to Mohamed El Morabity from comment #1)
> What is the link between gnome-shell-extensions and this issue?

I have no idea where to report it.
You know? Then change the Component please.:-)
Comment 3 aaronsloman 2013-11-28 22:38:08 EST
I suspect this is another manifestation of the bug I reported here:

   Bug #1034457 - (Changed) Delay in accepting SDHC card (mmc0: Timeouts) interferes with hibernation. 

It also interferes with suspend,and can interfere with wireless connection shortly after hibernation or suspend.

I originally gave it a different description because I had not seen the link with mmc0 timeouts.

I am not sure it's a pm-utils bug.

Inie does your machine also have an SDHC card reader, with card left in?

It may be worth trying
Comment 4 aaronsloman 2013-11-28 22:40:15 EST
sorry, accidentally saved:

It may be worth trying 'sudo grep mmc0 /var/log/messages' just before trying to suspend, to see if you are getting timeouts.
Comment 5 lnie 2013-11-28 23:35:35 EST
 Hi aaronsloman,
 my machine doesn't have an SDHC card reader.
 after run 'sudo grep mmc0 /var/log/messages',I get nothing.

 FYI:have you saw this testcases below?
 https://fedoraproject.org/wiki/QA:Testcase_Power_Management_Suspend
 https://fedoraproject.org/wiki/QA:Testcase_Power_Management_Hibernate
 I run systemctl suspend as it says,the machine seems to do suspend.
 I run pm-hibernate/sytemctl hibernate,the system seems work as expected
Comment 6 aaronsloman 2013-11-29 06:17:47 EST
(In reply to lnie from comment #5)
>  Hi aaronsloman,
>  my machine doesn't have an SDHC card reader.
>  after run 'sudo grep mmc0 /var/log/messages',I get nothing.

Thanks for responding. That shows that yours is not the same bug.

>  FYI:have you saw this testcases below?
>  https://fedoraproject.org/wiki/QA:Testcase_Power_Management_Suspend
>  https://fedoraproject.org/wiki/QA:Testcase_Power_Management_Hibernate
>  I run systemctl suspend as it says,the machine seems to do suspend.
>  I run pm-hibernate/sytemctl hibernate,the system seems work as expected

I have just tried 'sytemctl hibernate' shortly after my machine came out of a previous hibernation, and while it was still reporting

   mmc0: Timeout waiting for hardware interrupt.

Behaviour was exactly the same as for pm-hibernate. I.e. it froze and would not hibernate, until about 2 minutes later, when hibernate started successfully (presumably after completing the mmc0 connection). So mine must be a different problem from yours. Apologies for distraction.

I shall update Bug #1034457
Comment 7 aaronsloman 2013-11-30 19:15:39 EST
I used a tip in another bug report and found a workaround for the partly similar bug (1034457) mentioned above. The fix is described in comment 6 here: 

    https://bugzilla.redhat.com/show_bug.cgi?id=1034457#c6

The fix involves installing a script in /etc/pm/sleep.d/ which specifies actions to be run during hibernate or suspend (unmount sd card, and remove a module), and actions to be run during thaw or resume (re-insert the module and remount the card).

I had to search through reports in /var/log/messages in order to discover what device (sd card reader) was causing the timeout after resume or thaw.

It may be possible to solve this problem in a similar way, even if the device is different.

I now realise that nobody could have fixed my problem without seeing the contents of my /var/log/messages file. Perhaps this bug has a similar requirement?

Just a thought.
Comment 8 Jaroslav Škarvada 2013-12-06 05:16:16 EST
Is it possible to suspend the machine using the following command?:
# echo mem > /sys/power/state
Comment 9 lnie 2013-12-08 22:09:06 EST
Nope, the output is:
bash:echo:write error:No such device
Comment 10 Jaroslav Škarvada 2013-12-09 04:30:55 EST
(In reply to lnie from comment #9)
> Nope, the output is:
> bash:echo:write error:No such device

Thanks for the info. This means that it is rejected by the kernel, so there is probably nothing to fix in the pm-utils, reassigning to the kernel for further investigation.
Comment 11 Justin M. Forbes 2014-02-24 08:51:47 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 12 Justin M. Forbes 2014-03-17 14:41:52 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.